;
	LIST
;************************** PIC16C84 Header *************************
	NOLIST
;
; (C) MDV 16.12.1995
;
;**************************
;
; Page 0, RP1=0,RP0=0
;
PIC84	equ	0H		; Define Reset Vector
;
MEM	equ	0
INDF	equ	0
RTCC	equ	0x01
TRM0	equ	0x01
PC	equ	0x02
PCL	equ	0x02
STATUS	equ	0x03		; F3 Reg is STATUS Reg.
ST	equ	0x03
FSR	equ	0x04
;
Port_A	equ	0x05		; I/O Port Assignments
RA	equ	0x05
Port_B	equ	0x06
RB	equ	0x06

EEDATA	equ	0x08
EEADR	equ	0x09
PCH	equ	0x0A
PCLATH	equ	0x0A
INTCON	equ	0x0B
;
; Page 1, RP1=0,RP0=1 (Direct ADRESING)
;
OPT	equ	0x01

Tris_A	equ	0x05	
TRA	equ	0x05
Tris_B	equ	0x06
TRB	equ	0x06

EECON1	equ	0x08
EECON2	equ	0x09
;
;*************************************************************************
;
; STATUS REG. Bits
;
CARRY	equ	0h		; Carry Bit is Bit.0 of F3
C	equ	0h
DCARRY	equ	1h
DC	equ	1h
Z_bit	equ	2h		; Bit 2 of F3 is Zero Bit
Z	equ	2h
P_DOWN	equ	3h
PD	equ	3h
T_OUT	equ	4h
TO	equ	4h

RP0	equ	5h	;Page DIRECT
RP1	equ	6h
IRP	equ	7h	;Page INDIRECT
;
;*****
;
; INCON REG. bits
;
RBIF	equ	0h
INTF	equ	1h
RTIF	equ	2h
RBIE	equ	3h
INTE	equ	4h
RTIE	equ	5h
EEIE	equ	6h
GIE	equ	7h
;
;*****
;
; OPTION REG. bits
;
PS0	equ	0h
PS1	equ	1h
PS2	equ	2h
PSA	equ	3h
RTE	equ	4h
RTS	equ	5h
INTEDG	equ	6h
RBPU	equ	7h
;
;*****	
;
; EECON REG. bits
;
RD	equ	0
WR	equ	1
WREN	equ	2
WRERR	equ	3
EEIF	equ	4
;
;*****
;
LSB	equ	0h
MSB	equ	7h
;
TRUE	equ	1h
YES	equ	1h
FALSE	equ	0h
NO	equ	0h
;
;*************************************************************************
;
	LIST

